Adding ability to run ONOS locally via 'buck run onos'

Runs ONOS as a server and requires client connections with ONOS_USE_SSH unset.

Change-Id: Id0aedccbfddfb8f3f17b2ef7f73e805066976315
diff --git a/tools/package/onos-run-karaf b/tools/package/onos-run-karaf
new file mode 100755
index 0000000..7c9643f
--- /dev/null
+++ b/tools/package/onos-run-karaf
@@ -0,0 +1,34 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# Runs ONOS from distributable onos.tar.gz
+# -----------------------------------------------------------------------------
+
+ONOS_TAR=
+
+cd /tmp
+
+# Kill any running instances
+[ -f /tmp/onos.pid ] && kill -9 $(cat /tmp/onos.pid) &>/dev/null
+
+set -e
+
+# Blitz previously unrolled onos- directory
+rm -fr onos-*
+
+# Unroll new image from the specified tar file
+[ -f $ONOS_TAR ] && tar zxf $ONOS_TAR
+
+# Change into the ONOS home directory
+cd onos-*
+export ONOS_HOME=$PWD
+
+# FIXME: for now we're running using the karaf client; later use raw SSH
+unset ONOS_USE_SSH
+
+# Start ONOS as a server, but include any specified options
+./bin/onos-service server "$@" &>onos.log &
+echo "$!" > /tmp/onos.pid
+
+# Hang-on a bit and then start tailing the ONOS log output
+sleep 1
+tail -f ./apache*/data/log/karaf.log